#
# spec file for package shellementary
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           shellementary
Version:	0.2.0
Release:        2.7
License:        MIT
Summary:        EFL GUI application similar to zenity/kdialog
Url:            http://enlightenment.org
Group:          System/X11/Utilities
Source:         %{name}-%{version}.tar.bz2
# PATCH-MISSING-TAG -- See http://wiki.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch0:         printf.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  doxygen
BuildRequires:  ecore-devel
BuildRequires:  elementary-devel
BuildRequires:  eina-devel
BuildRequires:  evas-devel
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Application providing GUI to shell scripts, similar to zenity/kdialog.

%prep
%setup -q
%patch0 -p3

%build
# Devs refuse to add autogen.sh to make dist tarball
#./autogen.sh
autoreconf -ifv
automake --add-missing --copy --gnu
%configure --disable-static --disable-silent-rules
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"
%find_lang %{name}

%clean
%{?buildroot:rm -rf %{buildroot}}

%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog README COPYING
%dir %{_datadir}/shellementary/
%{_bindir}/*
%{_datadir}/shellementary/*


%changelog
* Sat Dec 22 2012       Andrew Wyatt <andrew@fuduntu.org> - Version:0.2.0-2.7
- Built for Fuduntu

* Fri Nov 30 2012 sleep_walker@suse.cz
- adaptation for factory
  - remove autoupdate configuration from spec file
  - use separate packages instead of single efl package
  - fix Url
* Mon Nov 26 2012 sleep_walker@suse.cz
- fix license
- simplify/unify make install
- --disable-silent-rules
* Sat Nov 24 2012 sleep_walker@suse.cz
- use efl instead of separate packages
* Mon Oct  1 2012 sleep_walker@suse.cz
- remove patch fixed in upstream
* Mon Oct  1 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision 9ae51a669a0e2e2d57b80351efc30a63dbba27c8
* Tue Sep 25 2012 sleep_walker@suse.cz
- fix this long standing bug with autoreconf vs. autogen differences
* Tue Sep 25 2012 sleep_walker@suse.cz
- add aclocal and automake calls
* Fri Sep 21 2012 sleep_walker@suse.cz
- replace autogen with autoreconf as upstream refuse to have it in dist tarball
* Thu Sep 20 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision ab2747c0e47dcec73618f6742fbcf9b9c72d1579
* Wed Sep 12 2012 sleep_walker@suse.cz
- make_install --> makeinstall
* Mon Sep 10 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision 31b8684eb94d59def6686d1b8da71d4d25770953
* Thu Sep  6 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision 31b8684eb94d59def6686d1b8da71d4d25770953
* Fri Jul  6 2012 sleep_walker@suse.cz
- add dependencies for factory
* Fri Jul  6 2012 sleep_walker@suse.cz
- change pkgconfig dependency name
* Fri Jul  6 2012 sleep_walker@suse.cz
- make printf more secure
* Tue Jun 26 2012 sleep_walker@suse.cz
- change autoreconf to autogen.sh, fix make install
* Sat Jun 16 2012 sleep_walker@suse.cz
- remove version checking used in previous repository
* Thu Jun 14 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision fbf1426657d7b987ac4fcda68e9a2082a7b1144a
